## ramond 0.5

=== Makefile ===
GCC=/usr/bin/gcc
RM=/bin/rm

CFLAGS=-ggdb
LDFLAGS=-lpcap

APR_CFLAGS=`apr-1-config --includes --cppflags --cflags`
APR_LDFLAGS=`apr-1-config --link-ld --libs `

XML_CFLAGS=`xml2-config --cflags`
XML_LDFLAGS=`xml2-config --libs`

all: ramond

log.o: src/log.c
	$(GCC) -c src/log.c $(CFLAGS) $(APR_CFLAGS) $(XML_CFLAGS)

xmlparser.o: src/xmlparser.c src/type.h
	$(GCC) -c src/xmlparser.c $(CFLAGS) $(APR_CFLAGS) $(XML_CFLAGS)

main.o: src/main.c src/type.h
	$(GCC) -c src/main.c $(CFLAGS) $(APR_CFLAGS) $(XML_CFLAGS)


ramond: main.o xmlparser.o log.o
	$(GCC) log.o xmlparser.o main.o -o ramond $(LDFLAGS) $(APR_LDFLAGS) $(XML_LDFLAGS)

clean:
	@-$(RM) ramond
	@-$(RM) *.o

## ramond 0.4

=== debian/changelog ===
ramond (0.4-1) unstable; urgency=low

  * Initial release. (Closes: #604168)
  * Add patch to daemonize ramond by default.
  * Add manpages for ramond(8) and ramond.conf(5).

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Sun, 21 Nov 2010 23:05:07 +0100

=== debian/control ===
Source: ramond
Section: net
Priority: extra
Maintainer: Nicolas Dandrimont <nicolas.dandrimont@crans.org>
Build-Depends: debhelper (>= 8.0.0~), libpcap0.8-dev, libapr1-dev, libxml2-dev
Standards-Version: 3.9.1
Homepage: http://ramond.sourceforge.net/

Package: ramond
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IPv6 Router Advertisement MONitoring Daemon
 ramond is a scriptable IPv6 Router Advertisement Monitoring Daemon.
 .
 The tool was designed to `clear' (by sending spoofed zero lifetime
 adverts) rogue-routes sent by users running 6to4 gateways on a campus
 network.
 .
 Actions are scriptable. Almost all the available information is
 passed to a script via environmental variables.

## ramond 0.5

=== debian/changelog ===
ramond (0.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957746)
    - Build with -fcommon.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 09 Sep 2020 22:11:47 +0100

ramond (0.5-4) unstable; urgency=low

  * Add explicit build-depends on zlib1g-dev (Closes: #676011)
    - Thanks to Lucas Nussbaum for the report and rebuilds

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Tue, 05 Jun 2012 01:18:59 +0200

ramond (0.5-3) unstable; urgency=low

  * Modify the CFLAGS/LDFLAGS patch to also honor CPPFLAGS
  * Enable CPPFLAGS hardening build flags (Closes: #665478)
    - Thanks to Simon Ruderich for the patches
  * Fix compilation warnings introduced by the daemonization patch
  
  * Update to Standards-Version 3.9.3 (no changes)
    - Update to machine-readable copyright format 1.0 (no changes)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Wed, 04 Apr 2012 02:36:08 +0200

ramond (0.5-2) unstable; urgency=low

  * Honor the RAMONDCONFIG /etc/default/ramond variable (Closes: #651849)
  * Add Vcs-{Git,Browser} to debian/control
  * Enable hardening buildflags
    - Build-Depend on dpkg-dev (>= 1.16.1~)
    - Patch the Makefile to honor CFLAGS/LDFLAGS
  * Update the debian/copyright format
  
  [ Kan-Ru Chen ]
  * Add DM-Upload-Allowed to debian/control

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Mon, 12 Dec 2011 22:33:43 +0100

ramond (0.5-1) unstable; urgency=low

  * New upstream release
    - Parse the RA options to clear the preferred-time of rogue prefixes.
  * Update Standards-Version to 3.9.2 (no changes)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Fri, 05 Aug 2011 09:48:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: ramond
 Section: net
+DM-Upload-Allowed: yes 
 Priority: extra
 Maintainer: Nicolas Dandrimont <nicolas.dandrimont@crans.org>
-Build-Depends: debhelper (>= 8.0.0~), libpcap0.8-dev, libapr1-dev, libxml2-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8.0.0~), dpkg-dev (>= 1.16.1~), libpcap0.8-dev, libapr1-dev, libxml2-dev, zlib1g-dev
+Standards-Version: 3.9.3
 Homepage: http://ramond.sourceforge.net/
+Vcs-Git: git://anonscm.debian.org/collab-maint/ramond.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ramond.git
 
 Package: ramond
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_CFLAGS_MAINT_APPEND = -fcommon
# Inject the dpkg buildflags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/ramond/ramond-(.+)\.tar\.bz2
